# -*- coding: utf-8 -*-
from django.contrib.contenttypes.models import ContentType

__author__ = 'marcos.medeiros'

from django import forms

from rapid.models import Profile, Application, DocumentTemplate
from rapid.wrappers import FieldData
from rapid.widgets import RapidReadOnly, RapidRelationReadOnly, RapidSelector, rapidAlternativesWidget


class ManageUsers(forms.ModelForm):
    class Meta:
        model = Profile
        fields = '__all__'
        widgets = {
            'application': RapidRelationReadOnly(Application),
            'name': RapidReadOnly(),
            'description': RapidReadOnly,
            'users': RapidSelector(FieldData.from_model(Profile, 'users'))
        }


def getDocumentTemplateForm(model):
    class AddDocumentTemplate(forms.ModelForm):
        def save(self, commit=True):
            obj = super(AddDocumentTemplate, self).save(commit=False)
            obj.model = ContentType.objects.get_for_model(model)
            if commit:
                obj.save()
                self.save_m2m()
            return obj

        class Meta(object):
            model = DocumentTemplate
            fields = ('name', 'template')

    return AddDocumentTemplate
